package com.bonus.canteen.core.notice.print.v2.constant;

import cn.hutool.core.util.ObjectUtil;

public enum PrintSceneEnum {
   ORDER("001", "notice_print_scene_order"),
   ACC_TRACE("002", "notice_print_scene_acc_trade");

   private final String key;
   private final String i18n;

   private PrintSceneEnum(String key, String i18n) {
      this.key = key;
      this.i18n = i18n;
   }

   public static String getI18n(String key) {
      PrintSceneEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         PrintSceneEnum temp = var1[var3];
         if (ObjectUtil.equal(temp.getKey(), key)) {
            return temp.getI18n();
         }
      }

      return null;
   }

   public String getKey() {
      return this.key;
   }

   public String getI18n() {
      return this.i18n;
   }

}
